- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
CSL_DMA_Config Struct Reference
DMA Data Structures

DMA configuration structure. More...

`#include <csl_dma.h>`

## Data Fields
CSL_DMAPingPongMode | pingPongMode
CSL_DMAAutoReloadMode | autoMode
CSL_DMATxBurstLen | burstLen
CSL_DMATriggerType | trigger
CSL_DMAEvtType | dmaEvt
CSL_DMAInterruptState | dmaInt
CSL_DMAChanDir | chanDir
CSL_DMATransferType | trfType
Uint16 | dataLen
Uint32 | srcAddr
Uint32 | destAddr

## Detailed Description

DMA configuration structure.

Contains configuration parameters for DMA hardware registers. This has to be filled by the drivers using DMA.

## Field Documentation

CSL_DMAAutoReloadMode CSL_DMA_Config::autoMode

Auto reloadmode bit

Referenced by DMA_config(), DMA_getConfig(), MMC_open(), and MMC_setDmaChanConfig().

CSL_DMATxBurstLen CSL_DMA_Config::burstLen

Length of the transmit burst

Referenced by DMA_config(), DMA_getConfig(), MMC_open(), MMC_read(), MMC_setDmaChanConfig(), and MMC_write().

CSL_DMAChanDir CSL_DMA_Config::chanDir

Channel direction - Rd/Wr

Referenced by DMA_config(), DMA_getConfig(), and MMC_open().

Uint16 CSL_DMA_Config::dataLen

Length of data to transfer in number of bytes

Referenced by DMA_config(), DMA_getConfig(), MMC_open(), MMC_read(), and MMC_write().

Uint32 CSL_DMA_Config::destAddr

Address of destination data buffer

Referenced by DMA_config(), DMA_getConfig(), MMC_open(), and MMC_read().

CSL_DMAEvtType CSL_DMA_Config::dmaEvt

Type of the DMA event

Referenced by DMA_config(), DMA_getConfig(), and MMC_open().

CSL_DMAInterruptState CSL_DMA_Config::dmaInt

state of DMA interrupt

Referenced by DMA_config(), DMA_getConfig(), MMC_open(), and MMC_setDmaChanConfig().

CSL_DMAPingPongMode CSL_DMA_Config::pingPongMode

Enable Ping-Pong Mode

Referenced by DMA_config(), DMA_getConfig(), MMC_open(), and MMC_setDmaChanConfig().

Uint32 CSL_DMA_Config::srcAddr

Address of source data buffer

Referenced by DMA_config(), DMA_getConfig(), MMC_open(), and MMC_write().

CSL_DMATransferType CSL_DMA_Config::trfType

Type of the data transfer

Referenced by DMA_config(), DMA_getConfig(), and MMC_open().

CSL_DMATriggerType CSL_DMA_Config::trigger

Type of DMA triggering HW/SW

Referenced by DMA_config(), DMA_getConfig(), and MMC_open().

The documentation for this struct was generated from the following file:

- csl_dma.h